#!/bin/sh
rm -rf ~/RPM/BUILD/*
rm -rf ~/RPM/RPMS/*
rm -rf ~/RPM/SOURCES/*
rm -rf ~/RPM/SPECS/*
rm -rf ~/RPM/SRPMS/*
for i in $(ls *.spec)
do
	v=$(cat $i | grep Version  | cut -c 9- | sed 's/ *//g')
	n=$(basename -s .spec $i)
	d=$n-$v
	tar -cvf $d.tar $d
	mv -f $d.tar ~/RPM/SOURCES/
	cp -f $i ~/RPM/SPECS/
	rpm -ba ~/RPM/SPECS/$i
done
